Bug 237586 - www/node: fix build on powerpc64
Summary: www/node: fix build on powerpc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bradley T. Hughes
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-26 17:54 UTC by Piotr Kubaj
Modified: 2019-05-08 18:42 UTC (History)
1 user (show)

See Also:
bhughes: maintainer-feedback+


Attachments
patch (1.12 KB, patch)
2019-04-26 17:54 UTC, Piotr Kubaj
no flags Details | Diff
v2 (2.28 KB, patch)
2019-04-27 20:13 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (bhughes)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-04-26 17:54:10 UTC
Created attachment 204046 [details]
patch

https://github.com/nodejs/node/commit/7b48713334469818661fe276cf571de9c7899f2d broke powerpc64 (big-endian). Replace the check for AIX with check for big-endian PPC64 to fix build.

Upstreaming this is in progress.
Comment 1 Piotr Kubaj freebsd_committer 2019-04-27 20:13:42 UTC
Created attachment 204069 [details]
v2

Also add registers for powerpc64.
Comment 2 commit-hook freebsd_committer 2019-05-08 18:41:57 UTC
A commit references this bug:

Author: bhughes
Date: Wed May  8 18:41:05 UTC 2019
New revision: 501035
URL: https://svnweb.freebsd.org/changeset/ports/501035

Log:
  www/node: fix build on powerpc64

  Upstream broke powerpc64 big-endian. Replace the check for AIX with
  check for big-endian PPC64 to fix the build.

  PR:		237586
  Submitted by:	pkubaj
  Sponsored by:	Miles AS

Changes:
  head/www/node/files/patch-deps_v8_src_libsampler_sampler.cc
  head/www/node/files/patch-deps_v8_src_simulator.h
Comment 3 Bradley T. Hughes freebsd_committer 2019-05-08 18:42:12 UTC
Committed, thanks! :)